> ## Documentation Index
> Fetch the complete documentation index at: https://docs.simplesandbox.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Track client-side event



## OpenAPI

````yaml https://api.simplesandbox.dev/doc post /api/v1/events/track
openapi: 3.0.0
info:
  version: 1.0.0
  title: Sandbox API
servers: []
security: []
paths:
  /api/v1/events/track:
    post:
      tags:
        - Events
      summary: Track client-side event
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                event:
                  type: string
                  enum:
                    - onboarding.started
                    - onboarding.step_1_welcome
                    - onboarding.step_2_setup_workspace
                    - onboarding.step_3_verify_nodejs
                    - onboarding.step_4_create_token
                    - onboarding.step_5_export_token
                    - onboarding.step_6_install_sdk
                    - onboarding.step_7_create_script
                    - onboarding.step_8_run_script
                    - onboarding.completed
                    - onboarding.skipped
                metadata:
                  type: object
                  additionalProperties:
                    type: string
              required:
                - event
      responses:
        '200':
          description: Event tracked successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                required:
                  - success
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                  message:
                    type: string
                required:
                  - code
                  - message
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                  message:
                    type: string
                required:
                  - code
                  - message

````